Index: trunk/Nebulous-Server/bin/neb-admin
===================================================================
--- trunk/Nebulous-Server/bin/neb-admin	(revision 23460)
+++ trunk/Nebulous-Server/bin/neb-admin	(revision 23560)
@@ -152,4 +152,7 @@
         
     exit unless scalar @rows;
+    
+    # compare number of responses to limit below
+    my $Npending = @rows;
 
     print "replicatePending MULTI\n\n";
@@ -198,7 +201,10 @@
     }
 
-    return 1;
+    # use a different exit status if we hit the limit (likely more files pending)
+    if ($Npending == $limit) {
+	exit 1;
+    } 
+    exit 0;
 }
-
 
 sub removal
